#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>

static void error_fatal (char *message){
  /* Stampa se poruka o gresci. */
  perror (message);

  /* Prekida se program. */
  exit (EXIT_FAILURE);
}

static void sig_fpe(int signo){
  if (signo == SIGFPE){
    printf ("Floating point exception caught.\n");
    exit (EXIT_FAILURE);
  }
}

int main (int argc, char **argv){
  int x;

  if (signal(SIGFPE, sig_fpe) == SIG_ERR)
    error_fatal ("signal error");

  x = 0;
  printf ("%d\n", 5/x);


  return 0;
}

